# coding: utf-8

from __future__ import absolute_import
from datetime import date, datetime  # noqa: F401

from typing import List, Dict  # noqa: F401

from swagger_server.models.base_model_ import Model
from swagger_server import util


class REQGETHOLSTERSTATUS(Model):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    def __init__(self, holster_id: int=1):  # noqa: E501
        """REQGETHOLSTERSTATUS - a model defined in Swagger

        :param holster_id: The holster_id of this REQGETHOLSTERSTATUS.  # noqa: E501
        :type holster_id: int
        """
        self.swagger_types = {
            'holster_id': int
        }

        self.attribute_map = {
            'holster_id': 'holster_id'
        }
        self._holster_id = holster_id

    @classmethod
    def from_dict(cls, dikt) -> 'REQGETHOLSTERSTATUS':
        """Returns the dict as a model

        :param dikt: A dict.
        :type: dict
        :return: The REQ_GET_HOLSTER_STATUS of this REQGETHOLSTERSTATUS.  # noqa: E501
        :rtype: REQGETHOLSTERSTATUS
        """
        return util.deserialize_model(dikt, cls)

    @property
    def holster_id(self) -> int:
        """Gets the holster_id of this REQGETHOLSTERSTATUS.

        the identification of holster  # noqa: E501

        :return: The holster_id of this REQGETHOLSTERSTATUS.
        :rtype: int
        """
        return self._holster_id

    @holster_id.setter
    def holster_id(self, holster_id: int):
        """Sets the holster_id of this REQGETHOLSTERSTATUS.

        the identification of holster  # noqa: E501

        :param holster_id: The holster_id of this REQGETHOLSTERSTATUS.
        :type holster_id: int
        """

        self._holster_id = holster_id
